<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="./css/style.css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <link href="//db.onlinewebfonts.com/c/3cec094dc3567ba25c8022f17affc2a1?family=Precious" rel="stylesheet"
    type="text/css" />
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.3.0/font/bootstrap-icons.css">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"
    integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
  <title>Sitio Web BootStrap</title>
</head>

<body>
  <!-- contenedor exterior -->
  <div class="container-outside">
    <!-- modals -->
    <!-- modal sobreNosotros -->
    <div class="modal fade" id="sobreNosotrosModal" tabindex="-1" aria-labelledby="exampleModalLabel"
      aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Sobre Nosotros</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            Empezamos nuestro negocio en Inglaterra alrededor de 1890 cuando un nuevo integrante se unio a nuestra familia, este nuevo integrante llego con ideas para un negocio.
            Eventualmente nos mudamos a Estados Unidos en los 30s y desde ese punto nos fuimos expandiendo alrededor del mundo. Actualmente poseemos locales en Egipto, Japon e Italia.
          </div>

        </div>
      </div>
    </div>
    <!-- modal Contactanos -->
    <div class="modal fade" id="contactanosModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Contactanos</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <!-- form -->
            <form action="https://formspree.io/f/xrgyvvay" method="POST" class="needs-validation" novalidate>
              <div class="mb-3">
                <label for="nombreForm" class="form-label">Nombre</label>
                <input type="text" class="form-control" id="nombreForm" required>
                <div class="invalid-feedback">
                  Ingrese su nombre.
                </div>
              </div>
              <div class="mb-3">
                <label for="apellidoForm" class="form-label">Apellido</label>
                <input type="text" class="form-control" id="apellidoForm" required>
                <div class="invalid-feedback">
                  Ingrese su apellido.
                </div>
              </div>
              <div class="mb-3">
                <label for="mailForm" class="form-label">Mail</label>
                <input type="email" class="form-control" id="mailForm" required>
                <div class="invalid-feedback">
                  Mail Invalido.
                </div>
              </div>
              <div class="mb-3">
                <label for="razonForm" class="form-label">Razon de Contacto</label>
                <select class="form-select" aria-label="Default select example" id="razonForm" required>
                  <option selected disabled value="">...</option>
                  <option value="service">Servicios</option>
                  <option value="recipe">Serie</option>
                  <option value="web-page">Pagina Web</option>
                </select>
                <div class="invalid-feedback">
                  Seleccione una opcion.
                </div>
              </div>
              <div class="mb-3">
                <label for="comentarioForm" class="form-label">Comentario</label>
                <textarea name="comentarioForm" class="form-control" id="comentarioForm" cols="30" rows="10"></textarea>
              </div>
              <button type="submit" class="btn btn-primary">Enviar</button>
            </form>
          </div>
        </div>
      </div>
    </div>
    <!-- modal Personajes 1 -->
    <div class="modal fade" id="personajesModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Personajes</h5>
            <button id="btnPersonajes" class="btn btn-warning m-1">Mostrar</button>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div id="personajesBody" class="modal-body">
            
          </div>

        </div>
      </div>
    </div>
    <!-- modal Lugares -->
    <div class="modal fade" id="lugaresModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Lugares</h5>
            <button id="btnLugares" class="btn btn-warning m-1">Mostrar</button>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div id="lugaresBody" class="modal-body">
            
          </div>

        </div>
      </div>
    </div>
    <!-- modal episodios -->
    <div class="modal fade" id="episodiosModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-xl">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Episodios</h5>
            <button id="btnEpisodios" class="btn btn-warning m-1">Mostrar</button>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div id="episodiosBody" class="modal-body">
            
          </div>

        </div>
      </div>
    </div>
    
    <!-- button to top -->
    <button onclick="topFunction()" id="myBtn" title="Go to top"><i class="bi bi-arrow-up"></i></button>
    <!-- contenedor interior -->
    <div class="container container-inside p-0">
      <!-- header titulo-->
      <header id="header">
        <h1 id="title">Rick And Morty API</h1>
      </header>
      <!-- nav -->
      <nav class="navbar navbar-expand-sm navbar-light bg-light">
        <div class="container-fluid">
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
              <li class="nav-item">
                <a class="nav-link" aria-current="page" href="#"> <i class="bi bi-house-fill"></i> Home </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#container-cards"> <i class="bi bi-tags"></i> Seccion Principal</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="" data-bs-toggle="modal" data-bs-target="#sobreNosotrosModal"> <i
                    class="bi bi-person-square"></i> Sobre Nosotros</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="" data-bs-toggle="modal" data-bs-target="#contactanosModal"> <i
                    class="bi bi-chat-left-text-fill"></i> Contactanos</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
      <!-- banner -->
      <div id="banner">
        <img src="https://i.redd.it/o6cwlzg3exk41.png" alt="" id="banner-image">
      </div>
      <!-- carrouse -->
      <div id="carouselExampleIndicators" class="carousel slide" data-bs-ride="carousel">
        <ol class="carousel-indicators">
          <li data-bs-target="#carouselExampleIndicators" data-bs-slide-to="0" class="active"></li>
          <li data-bs-target="#carouselExampleIndicators" data-bs-slide-to="1"></li>
          <li data-bs-target="#carouselExampleIndicators" data-bs-slide-to="2"></li>
        </ol>
        <div class="carousel-inner">
          <div class="carousel-item active">
            <img src="https://rtvc-assets-radionica3.s3.amazonaws.com/s3fs-public/styles/image_750x424/public/field/image/article/rick-morty-pelicula.jpg?itok=thJFYqHN"
              class="d-block w-100 carousel-image" alt="...">
          </div>
          <div class="carousel-item">
            <img src="https://i0.wp.com/overmental.com/wp-content/uploads/2015/10/rick-and-morty-dimension-35c.jpg?ssl=1"
              class="d-block w-100 carousel-image" alt="...">
          </div>
          <div class="carousel-item">
            <img src="https://img1.looper.com/img/gallery/the-best-episodes-of-rick-and-morty-according-to-imdb/intro-1590084718.jpg  "
              class="d-block w-100 carousel-image" alt="...">
          </div>
        </div>
        <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-bs-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-bs-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Next</span>
        </a>
      </div>
      <!-- container de las cartas -->
      <div class="container-fluid p-0  d-grip gap-3" id="container-cards">
        <!-- fila 1 -->
        <!-- card  1-->
        <div class="row row-cols-3">
          <div class="col-sm">
            <div class="card">
              <a href="" data-bs-toggle="modal" data-bs-target="#personajesModal">
                <img
                  src="https://rtvc-assets-radionica3.s3.amazonaws.com/s3fs-public/styles/image_750x424/public/field/image/article/rick-morty-pelicula.jpg?itok=thJFYqHN"
                  class="card-img-top" alt="...">
              </a>
              <div class="card-body">
                <h5 class="card-title">Personajes</h5>
                <p class="card-text"></p>
              </div>
            </div>
          </div>
          <!-- card 2 -->
          <div class="col-sm">
            <div class="card">
              <a href="" data-bs-toggle="modal" data-bs-target="#lugaresModal">
                <img
                  src="https://i0.wp.com/overmental.com/wp-content/uploads/2015/10/rick-and-morty-dimension-35c.jpg?ssl=1"
                  class="card-img-top" alt="...">
              </a>
              <div class="card-body">
                <h5 class="card-title">Lugares</h5>
                <p class="card-text"></p>
              </div>
            </div>
          </div>
          <!-- card 3  -->
          <div class="col-sm">
            <div class="card">
              <a href="" data-bs-toggle="modal" data-bs-target="#episodiosModal">
                <img src="https://img1.looper.com/img/gallery/the-best-episodes-of-rick-and-morty-according-to-imdb/intro-1590084718.jpg"
                  class="card-img-top" alt="...">
              </a>
              <div class="card-body">
                <h5 class="card-title">Episodios</h5>
                <p class="card-text"></p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <footer class="container footer">
        <div class="row justify-content-center links">
          <ul>
            <li class="facebook"><a href="#"><i class="fa fa-facebook fa-2x" aria-hidden="true"></i></a></li>
            <li class="twitter"><a href="#"><i class="fa fa-twitter fa-2x" aria-hidden="true"></i></a></li>
            <li class="instagram"><a href="#"><i class="fa fa-instagram fa-2x" aria-hidden="true"></i></a></li>
            <li class="google"><a href="#"><i class="fa fa-google fa-2x" aria-hidden="true"></i></a></li>
            <li class="whatsapp"><a href="#"><i class="fa fa-whatsapp fa-2x" aria-hidden="true"></i></a></li>
          </ul>
        </div>
        <div class="row justify-content-center derechos p-2"> Ⓒ 2021 Todos los derechos reservados</div>
      </footer>
    </div>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous">
  </script>
  <script src="./js/clase5.js"></script>
</body>

</html>